

# Instructions
- [Watch this quick video to ensure the game runs properly.](https://youtu.be/xsdGme-IU7o)
- If you downloaded my mod prior to 4/17/23. Remove the AllTameable_TameList from Your Configs folder. It will be replaced by AllTameable_TameList_ValadrielsMadNPCs 
- If you want to tame creatures from other mods, refer to the instructions at [AllTameableTamingOverhaul](https://valheim.thunderstore.io/package/Meldurson/AllTameableTamingOverhaul/)
- If you downloaded my mod prior to 6/24/23. Remove DragonBlade from your mod library. The 6/12 update broke this mod.
- [Check out my list of excellent companion mods muahahahaha!](https://valheim.thunderstore.io/package/ValadrielTheMad/ValadrielsMadWorld/)

**Every NPC In this mod can be tamed.**

| NPC | Spawn Biome | Spawn Location | Breedable | Description |
| --- | --- | --- | --- | --- |
| Vikings | Meadows | Draugr villages | Yes | Friendly |
| Shield Maidens | Meadows | Draugr villages | Yes | Friendly |
| Human Commoners | Meadows | Draugr villages | Yes | Friendly |
| Human Mages | Meadows | Rare Spawn | Yes | Friendly|
| Heroic Sword Mage | Meadows | Rare Spawn | Yes | A powerful battle mage that can breed with human mages.|
| Rus Vikings | Meadows | Throughout the biome | Yes | Hostile|
| Beak Boy | Meadows | Extremely Rare | No | You must travel the Meadows with Birdman to find his sidekick. |
| Lady Hawk | Black Forest | Extremely Rare | No | You must travel the Blackforest with Birdman to find his better half. |
| [Elven Rangers](https://www.youtube.com/watch?v=-ilHEse_qHE&t=17s) | Black Forest | Ruins | Yes | Friendly |
| Elven Commoners | Black Forest | Throughout the biome | Yes | Friendly |
| Elven Druids | Black Forest | Rare Spawn | Yes | Friendly |
| The Elven Queen | Black Forest | Very Rare SpawnBreeding with Elven King | No | Fires an array of magical arrows |
| The Elven King | Black Forest | Very Rare Spawn/ Breeding with Elven Queen | No | Deals an array of lightning attacks. |
| Dwarf Copper Miners | Black Forest | Near Copper Nodes | Yes | Friendly |
| Dryads | Black Forest/ Swamps | Throughout the biome | Yes | Hostile NPCs that can breed with humans and elves.|
| Darach | Black Forest | Extremely Rare | No | (Boss) A Dark Druid and Leader of the Dryads. Defeat her and she will join your side. |
| Necromancers | Swamps | Rare Spawn | Yes | Friendly |
| [Cheb](https://valheim.thunderstore.io/package/ChebGonaz/) The NecroLord | Swamps | Extremely Rare | No | (Boss) Hostile Dark Elf NPC that will occasionally spawn. Defeat him quickly before he overruns you with his army of undead minions. Once defeated, a tamed version of NecroLord will appear. |
| Dwarf Iron Miners | Swamps | Near Mudpiles | Yes | Friendly|
| Sirens | Ocean | Throughout the biome | Yes | Hostile|
| Mermen | Ocean |  Rare | Yes | Hostile|
| Shawesome The World Serpent | Ocean | Extremly Rare | Yes | (Boss) The half human King of the Atlantians|
| [Dwarf Commoners](https://www.youtube.com/watch?v=csWjAd8o-hs&t=9s) | Mountains | Throughout the biome | Yes | Friendly |
| Dwarven Warriors & Rogues | Mountains | Ruins | Yes | Friendly |
| Dwarven Elite | NA | King and Queen Breeding | Yes | Friendly |
| The Dwarven King | Mountains | Very Rare Spawn/ Breeding with Dwarven Queen | No | King of the Dwarves. |
| The Dwarven Queen | Mountains | Very Rare Spawn/ Breeding with Dwarven King | No | Drops bombs on her enemies from afar and dragon blades them if they get too close. |
| Dwarf Silver Miners | Mountains | Near Silver Veins | Yes | Friendly |
| Snow Elf Warriors | Deep North | Rare | Yes | Friendly Jotunn half breed Warriors with powerful frost metal weapons. |
| Snow Elf Mage | Deep North | Rare | Yes | Friendly Jotunn half breed mages with powerful frost spells |
| [Horemvore](https://valheim.thunderstore.io/?q=horem&ordering=last-updated&section=mods) The Frostsmith | Mountains | Extremely Rare | No | A Snow Elf/ Dwarf hybrid who loves his Frostner a little too much.|
| [Vapok](https://valheim.thunderstore.io/package/Vapok/) The Adventurer | Plains | Extremely Rare | Yes | An Elven Warrior exploring the Plains. |
| Althea The Blackthorn | Plains | Extremely Rare | Yes | An Elven Rogue exploring the Plains. Mate with Vapok to produce Elf Rangers |
| Birdman [The Stoned Prophet](https://www.youtube.com/watch?v=cMgSxINqiM0&t=1s) | Plains | Extremely Rare | No | (Insert Dramatic movie trailer voice) The Hero Valheim never knew it needed. |
| Shadow Dwarf Commoners | Mistlands | Throughout the Biome | Yes | Hostile |
| Shadow Dwarf Warriors & Rogues | Mistlands | Throughout the Biome | Yes | Hostile |
| Shadow Dwarf Warlocks | Mistlands | Rare Spawn | Yes | Hostile |
| Shadow Dwarf King | Mistlands | Extremely Rare Boss | No | (Boss) Beware the legendary Death Knight Muahahaha. Tamed when defeated. |
| [Svartalfr Commoners](https://www.youtube.com/watch?v=5dTBV-K9GLs) | Ash Lands | Throughout the biome | Yes | Hostile |
| [Mel'Durson](https://valheim.thunderstore.io/package/Meldurson/AllTameableTamingOverhaul/) The Slaver | Ash Lands | Extremely Rare | No | A Dark Elf who stalks the Ash Lands looking to ply his trade.|
| Svartalfr Queen | Ash Lands | Extremely Rare Boss | No | (Boss) The Dark Elven Queen fires volleys of fire arrows and summons her loyal Flamerir to aid her in battle. Tamed when defeated. |
| [Azumatt](https://valheim.thunderstore.io/package/Azumatt/) the Fel Lord | Ash Lands | Extremely Rare Boss | No | (Boss) The Dark Elven General is tamed when defeated. |
| Wight zee Orc Slayer | Ash Lands | Extremely Rare | No | A Half Dark Elf shunned by humanity who takes his fury out on his father's kind. |
| Snow Elf Commoners | Deep North | Throughout the biome | Yes | Friendly |
| [Southsil](https://valheim.thunderstore.io/package/southsil/) The Winterstorm | Deep North | Extremely Rare | No | The General of the Snow Elf Armies who fires a volley of frozen arrows.|
| Half Elf Commoners | NA | Breeding | No | The Infertile offspring of Humans and Elves |
| Half Elf Rune Knights | NA | Breeding | No | Half Elven Battle Mages with the power to wield powerful runic weapons. |
| Half Elf Spirit Mages | NA | Breeding | No | Half Elven Mages with inate spiritual magic. |
| Halflings | NA | Breeding | Yes | The offspring of Humans and Dwarves. |
| Gnomes | NA | Breeding | Yes | The offspring of Human Mages and Dverger Mages. |
| Valadriel The Mad | Everywhere | Etremely Rare | No | Breaking 4th Walls and TAKING NAMES!!!! #Madness |
| Arfiroth The Cunning | Everywhere | Etremely Rare | No | Adventure with Valadriel to find his Half Snow Elf Companion! |

# Conflicts
- Not compatible with PopVillages by Fantu as it uses the same spawn locations.
- Magic Plugin is incompatable with Sages Vault.
- Will work with Jewelheim if you remove the Skeleton spawners in the mountains. Refer to Spawn That Mod Instructions.

# Coming Soon
- LOCATIONS!!!
- The Saxons are coming!
- Greenlanders Join the #madness!

# Changelog
<details>
  <summary>Click Here</summary> 
  
   ## 1.21.5
  - Adjusted breeding limits for all NPCS

   ## 1.21.4
  - Adjusted drops for all elves to make breeding and butchering them more enticing! Muahahahahahaha #Madness
  
  ## 1.21.3
  - Cheb's Necromancy error fixed.
  
  ## 1.21.2
  - Troubleshooting errors with Cheb's Necromancy. Use version 4.4.2.

  ## 1.21.1
  - Sirens lay eggs.

## 1.21.0

- Removed RRR NPCs and Monsters from the dependent mod list as the Core mod now covers both.

## 1.20.0

- Removed Adventure Backpacks from dependent mod list.

## 1.19.0

- Finally fixed breeding errors!!!
- Tamed Darach's can breed with elves and human like any Dryad with a chance at spawning another Darach.
- Elven King now has an arsenal of electrical attacks.
- Dwarven king now has a powerful attack that deals frost and blunt damage.
- Vapok and Althea are now a mating pair.
- Added Heroic Sword Mage NPC.
- Updated Southsils's armor (No pun intended) and he is now breedable with Snow Elf Mages.
- Added Shawesome The World Serpent.
- Added ChebsMysticalWeapons and VikingsDoSwim to the mod list.
- Adjusted Dark Elves to tolerate fire.
- Dwarves now tolerate smoke (Because they are smiths... get it?)
- Sirens are now faster swimmers.

## 1.18.18

- Reverting to version 1.18.13 until I am able to fix the breeding errors.

## 1.18.17

- Testing fix for taming/ breeding List errors that were preventing NPCs from loaing into the game.

## 1.18.16

- Testing taming/ breeding List errors fix.

## 1.18.15

- Reverted to 1.18.12 Taming List while Meldurson and I troubleshoot the problem.

## 1.18.14

- Troubleshooting breeding errors.

## 1.18.13

- Finished simplfying breeding
- The Dwarven and Elven Kings no longer spawn warriors, but can now breed with their queens.

## 1.18.12

- Fixed Snow Elf Mage Spawner Error.

## 1.18.11

- Adjusted Spawn Triggers so magical NPCs do not begin spawning until after Yagluth is defeated.

## 1.18.10

- Fixed error with tamed version of Dark Elf General

## 1.18.9

- Fixed error where bosses did not spawn tamed NPCs.
- Simplified breeding and taming food options for Dark Elves.
- Improved Azumat's combat stats.

## 1.18.8

- Adjusted Dark Elf invasion rates.

## 1.18.7

- Fixed Rogue Breeding Issues.

## 1.18.6

- Troubleshooting breeding problems.

## 1.18.5

- Fixed Dwarven Rogue Breeding.

## 1.18.4

- Fixed Dryad loot error.

## 1.18.3

- Fixed Shadow Dwarf King Breeding Error.

## 1.18.2

- Increased InfusedGemstone Drop rate from magical NPCs.

## 1.18.1

- Adjusted Breeding times for elves.
- Fixed Althea SFX issue.

## 1.18.0

- Removed Honey Plus from dependent mods.

## 1.17.0

- Fixed appearance errors with half elves.
- Added Wisplights to magical elves and half elves.
- Added Do or Die Item Drops to NPCs

## 1.16.0

- Adjusted breeding chances for several NPCs.

## 1.15.0

- Changed breeding requirements for elf rangers.
- Changed taming Foods for Birdman.

## 1.14.0

- Adjusted drops.
- Adjusted area spawners for elves.

## 1.13.0

- Adjusted elf breeding mechanics.
- Adjusted Siren Drops.

## 1.12.0

-  Adjusted Spawners.

## 1.11.0

-  Removed OdinFlight From dependent mods due to errors and updated Birdman's cape.

## 1.10.1

-  Adjusted appearance of half elves.

## 1.10.0

-  Removed DragonBlade from dependent mods due to update breaking it.

## 1.9.3

-  Corrected a Spawn That Error for Human Commoner Females.

## 1.9.2

-  Adjusted Dwarf Sizes and made changes to Southsil and Arfiroth's weapons.

## 1.9.1

-  Added Arfiroth.

## 1.9.0

-  Improved attack animations and sound effects for  Rune Knights, Shadow Dwarf King, Cheb.
-  Adjusted Horem and SouthSils armor sets.
-  Added Odinflight to the Dependent Mods list.
-  Added Birdman, LadyHawk,BeakBoy, Wight & VALADRIEL THE MAD MUAHAHAHAHAHAHAHAHA!!!!!!!

## 1.8.3

-  Improved attack animations for Fire Gnomes, Dark Elf Mages, Sirens, Mermen, Elven Queen and Rune Knights.
-  Adjusted Necrolord's, Darach's and Shadow Dwarf King armor sets.

## 1.8.2

-  Found a work around for the elf healing issue.
-  Added Shadow Dwarf King Boss.
-  Made adjustments to Snow Elf, and Darach armor sets.

## 1.8.1

-  Removed Shaman Heal from named elves. It keeps glitching and killing players if you use the shaman heal on an RRRNPC that has attack damage overrides.

## 1.8.0

-   Snow and Dark Elf Archers have their own armor sets.
-   Made Southsil more Epic.
-   Added Darach Boss.
-   Added Mad Hatter to the dependant mods list.
-   Added hats to Gnomes and Human Fishermen.

## 1.7.4

-   Fixed an error with the Elven Queen and Elven King that was causing friendly fire.

## 1.7.3

-   Added bluemushroom spawners to the Deep North.
-   Fixed errors in the taming list.
-   Adjusted Area Spawners.
-	Made changes to Mermen armor.
-   Added Halflings and Gnomes.

## 1.7.2

-   Adjusted Spawners for Sirens and Mermen. Divers beware #Madness

## 1.7.1

-   Fixed a Drop That Error that was causing 30 chebs to spawn when you killed the boss.
-   Adjusted Spawners on Elf Commoners based on feedback.

## 1.7.0

-   Added Chaos Armor to the dependency string.
-   Added Shadow Dwarve Warriors, Rogues, Commoners and Warlocks.

## 1.6.6

-   Improved Dark and Snow Elf racial abilities.

## 1.6.5

-   Added Rus Vikings, Snow and Dark Elf Commoners.

## 1.6.4

-   Fixed issue that was preventing NPCs from swinging Iron swords.

## 1.6.3

-   Added the new antler weapons from Valheim Armory to the Elves.
-   Added Sirens and Mermen.

## 1.6.2

-   Fixed an error that prevented the Dark Elf General from loading.
-   Adjusted Dryad spawners based on feedback.

## 1.6.1

-   Improved attack animations for melee NPCs.
-   Dwarf Miners now spawn near mining materials.
-   Added abother 18 variations to armor, items and weapon combinations across all melee NPCs.
-   NPCs will now retain the the items they are holding upon restart. 

## 1.6.0

-   Improved bow attacks for all archers.
-   Upadated the dependecy string to include the new version of alltameable.
-   Added spawn messages in Elvish, Dwarvish and Giantish to several NPCs. #ChatGPT

## 1.5.3

-   Made final adjustments to the Elven armor sets.
-   Added Half Elf Commoners and Southsil the Snow Elf General.
-   The Rune Knight and Spirit Mage were changed into generic Rune Knights and Mages witha a variety of appearances and can only be attained through breeding.
## 1.5.2

-   Made spawner adjustments.

## 1.5.1

-   Fixed Taming Error for Dark Elf General.
-   Added Althea The Blackthorn, Azumatt the Fel Lord.
-   Fully reworked the taming list. With the new update, only female NPCs can get pregnant and unique hybrids that can only be created through breeding are coming soon. 

## 1.5.0

-   Some feedback was given about the number of dependant mods, so I switched Fantasy Armory and Do or Die Shields, for Do or Die Items. As I develop the mod I will try to limit any further expansions until i am ready to start creating new locations.
-   Added Althea The Blackthorn, Azumatt the Fel Lord.

## 1.4.1

-   Adjusted spawn timers on King NPCs so they don't break your frame rate (please give feedback if you still think they spawn too often.)
-   Adjusted Spawner times and dependencies so magical NPCs must be within proximity of warriors, which spawn at specific locations on the map.
-   Adjusted spawner dependency chains for all commoners.
-   Corrected an error where Rune Knight's lightning attack was dealing friendly fire.
-   Added AsheFireUlv Monster that is summoned by the Dark Elf Queen who is now a boss (thank you to the author of monsternomicon as I am using assets provided through his mod).
-   Made adjustments to the VFX and SFX of several NPC attacks.
-   Create Loot tables for all of my NPCs.

## 1.4.0

-   Changed out NPC Gear for Dark Elves (perfection takes time and experimentation #madness).
-   Added Drop That to the list of dependent mods.
-   Made Cheb The NecroLord a Boss that drops a tamed version of himself when defeated.
-   Fixed an error that was causing necromancer minions to attack their summoner.
-   Corrected sound effects on all female NPCs.

## 1.3.1

-   Adjusted the health of all named NPCs.
-   Added Dark Elf Queen and Mel'Durson The Slaver.
-   Made adjustments to Dark elf behaviors so they will attack your bases.

## 1.3.0

-   Adjusted world spawners for all NPCs.
-   Rune Knight is now Southsil The Rune Knight.
-   Half Elf Mage Became Elara The Spirit Mage.
-   Added Vapok The Adventurer, Horemvore The Frostsmith & The Dwarven Queen.
-   Added Valheim Armory to the dependent mods list.

## 1.2.0

-   Added MonsterLabz to the dependent mods list (I was using animations from this mod and was unaware. Thank you for your patience.)

## 1.1.4

-   Fixed Thunderstore ModManager not downloading configs.

## 1.1.3

-   Further adjustments to mage spawning.
-   Fixed an error in the tame list for human breeding foods.
-   Fixed Dark Elf Mage Spawners.

## 1.1.2

-   Fixed Mage over spawning in meadows error.

## 1.1.1

-   Removed Snow Elves from area spawners and added plentiful spawning for these NPCs in the DeepNorth.
-   Added spawn messages to all rare world spawns, so you are alerted to look around your area when friendly Royalty, Mages and Druids Spawn.
-   Removed Human Mages and Elf Druids from area spawners to make them much rarer to find.

## 1.1.0

-   Fixed Elven King not spawning NPCs correctly.
-   Added World Spawners for Half Elf Rune Knight's, Half Elf Mages and Snow Elf Mages.
-   Added Honey Plus to the depenant mods list.
-   Changed breeding and pregancey rates of different species so you have to grind to breed the strongest NPCs.

## 1.0.3

-   Fixed local spawners For Necromancers and Snow Elves.
-   Fixed World Spawners and increased the chances of rare NPCs spawning.
-   Fixed Alltameable Elf Breeding Error.

## 1.0.2

-   Fixed local spawners so various NPCs will spawn at new locations.

## 1.0.1

-   Made changes to the description.

## 1.0.0

-   Initial upload.














